---
loopback:
  ips:
    - "{{ vxlan_local_loopback }}"
eth0:
  ips:
    - "{{ eth0_ip }}"
interfaces:
  - { name: swp1, options: "{{ spine_leaf_interface }}" }
  - { name: swp2, options: "{{ spine_leaf_interface }}" }
  - { name: swp3, options: "{{ spine_leaf_interface }}" }
  - { name: swp4, options: "{{ spine_leaf_interface }}" }
  - { name: swp5, options: "{{ spine_leaf_interface }}" }
  - { name: swp6, options: "{{ spine_leaf_interface }}" }
vrf:
  - "{{ vrf_mgmt }}"
bgp:
  asn: "{{ bgp_asn_prefix }}00"
  router_id: "{{ vxlan_local_loopback | ipaddr('address') }}"
  peergroups:
    - { name: underlay, remote_as: external }
  neighbors:
    - { interface: swp1, unnumbered: yes, peergroup: underlay }
    - { interface: swp2, unnumbered: yes, peergroup: underlay }
    - { interface: swp3, unnumbered: yes, peergroup: underlay }
    - { interface: swp4, unnumbered: yes, peergroup: underlay }
    - { interface: swp5, unnumbered: yes, peergroup: underlay }
    - { interface: swp6, unnumbered: yes, peergroup: underlay }
  address_family:
    - name: ipv4_unicast
      redistribute:
        - { type: connected }
    - name: l2vpn_evpn
      neighbors:
        - { interface: underlay, activate: yes }
